Introduction

Memory Optimizer

Introduction
Memory Optimizer was built with the concept to provide a rock-solid memory optimization tool while maintaining simplicity in every area.
It contstantly monitors the amount of physical memory you have available and can optionally free memory resources to be used by other software.
For computers with less than 512 MB of physical memory, it is recommended to use Memory Optimizer on a consistant basis.

Using the automatic settings will allow you to constantly keep your physical memory free and your resources at their peak levels.
More Information
Manual Optimization
Automatic Optimization
Settings
Contact Information

Credits
Warining: Memory Optimizer is protected by copyright law and international treaties. Unauthorized reproduction or distribution of this program, or any portion of it, may result in severe civil and criminal penalties, and will be prosecuted to the maximum extent possible under the law

Copyright© 2003, brentleim Software. All rights reserved.

THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL BRENTLEIM SOFTWARE OR BRENT CURTIS LEIMENSTOLL BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Automatic Optimization

Automatic Optimization
Memory Optimizer supports automatic optimization so that you will always have enough physical memory to run your programs at peak performance.
If the main window is visible, automatic optimization is accomplished by clicking on the Settings link on the menu bar to the left of the window.

At the bottom of the Settings area, you will see the Automatic Optimization frame...

If you wish to enable Automatic Optimization, check the Enable automatic optimization box. Then select the percentage that you want.

When your available memory percentage drops below the amount specifed, Memory Optimizer will start the optimization process automatically.

For instance, if you specify 10%, when your available physical memory falls below 10%, the automatic optimization will begin.

Memory Optimizer uses Intelligent Optimization Technology (IOT) to simplify optimization of your memory. This feature is implemented so that you may rely on automatic optimization of your memory without having the process get in your way during normal computer usage.

If you select to use IOT, then your computer processors (CPU) activity is monitored. If your processor activity falls below 5% at any time, the technology watches a little closer for changes to the activity. If activity stays below 5% for more than 10 seconds and the available physical memory is lower than the percentage specified under Physical Memory above, the optimization process will start automatically.
More Information


Contact Information

Contact Information
brentleim Software is always striving to ensure customer satisfaction. If you have any questions, concerns or suggestions, feel free to drop us an email at brentleim Software.

You can visit us on the World Wide Web at brentleim Software Web Site.

You may also visit our support and faq section at http://www.brentleimsoftware/support/.


Credits

Credits
Special thanks goes out to Steve McMahon at vbAccelerator for his outstanding support and incredible controls, in particular the vbAccelerator Explorer Bar Control.

This product includes software developed by vbAccelerator (http://vbaccelerator.com/).


Manual Optimization

Maunal Optimization
Manual optimization can be accomplished by two different methods.
If the main window is visible, manual optimization is accomplished simply by clicking on the Optimize Memory link on the menu bar to the left of the window.

If the main window is minimized and the application is in the system tray, simply right click on the Memory Optimizer icon,

a menu will appear, and click the

Optimize Memory menu item. The main window will appear and the optimization process will begin.


Settings

Settings
Besides the Automatic Optimization there is only one other setting for Memory Optimizer.
Select what action you want Memory Optimizer to take once a optimization is complete.

Nothing does as it states. The window will remain in place and nothing special will occur.

Place Memory Optimizer in the system tray... option will place the program in the tray area at the bottom right of the task bar.

Exit Memory Optimizer... will close the program as soon as the optimization is complete.